GLUQUADRICNORMALS(3G) |  | GLUQUADRICNORMALS(3G)

# NAME

gluQuadricNormals - specify what kind of normals are desired for quadrics

# C SPECIFICATION

void gluQuadricNormals( GLUquadric* quad,
GLenum normal )
delim$$

# PARAMETERS

quad
  Specifes the quadrics object (created with gluNewQuadric).

normal
  Specifies the desired type of normals. Valid values are GLU_NONE, GLU_FLAT, and GLU_SMOOTH.

# DESCRIPTION

gluQuadricNormals specifies what kind of normals are desired for quadrics rendered with quad. The legal values are as follows:

GLU_NONE
  No normals are generated.

GLU_FLAT
  One normal is generated for every facet of a quadric.

GLU_SMOOTH
  One normal is generated for every vertex of a quadric. This is the initial value.

# SEE ALSO

gluNewQuadric(3G), gluQuadricDrawStyle(3G), gluQuadricOrientation(3G), gluQuadricTexture(3G)